## dosbox-x 2024.03.01+dfsg

=== experiments/cairo/Makefile ===
all: cairo1 cairo2 cairo3 cairo4

cairo_cflags=$(shell pkg-config cairo --cflags)
cairo_libs=$(shell pkg-config cairo --libs)

sdl2_cflags=$(shell pkg-config sdl2 --cflags)
sdl2_libs=$(shell pkg-config sdl2 --libs)

cairo1: cairo1.cpp
	g++ -Wall -Wextra -pedantic -std=c++11 $(cairo_cflags) $(sdl2_cflags) -o $@ $< -liconv $(cairo_libs) $(sdl2_libs)

cairo2: cairo2.cpp
	g++ -Wall -Wextra -pedantic -std=c++11 $(cairo_cflags) $(sdl2_cflags) -o $@ $< -liconv $(cairo_libs) $(sdl2_libs)

cairo3: cairo3.cpp
	g++ -Wall -Wextra -pedantic -std=c++11 $(cairo_cflags) $(sdl2_cflags) -o $@ $< -liconv $(cairo_libs) $(sdl2_libs)

cairo4: cairo4.cpp
	g++ -Wall -Wextra -pedantic -std=c++11 $(cairo_cflags) $(sdl2_cflags) -o $@ $< -liconv $(cairo_libs) $(sdl2_libs)

clean:
	rm -f cairo1 cairo2 cairo3 cairo4 *.o

=== debian/changelog ===
dosbox-x (2024.03.01+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:01 +1100

dosbox-x (2024.03.01+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:39 +0100

dosbox-x (2024.03.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Mar 2024 08:40:25 +0100

dosbox-x (2023.10.06+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Install dosbox-x with CAP_NET_RAW if possible, as expected by
    upstream.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Oct 2023 22:16:54 +0200

dosbox-x (2023.09.01+dfsg-2) unstable; urgency=medium

  * Add missing build-dependencies on libpcap and XKBrules.h.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Sep 2023 15:29:33 +0200

dosbox-x (2023.09.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 Sep 2023 22:14:02 +0200

dosbox-x (2023.05.01+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1022800.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 May 2023 15:24:40 +0200

=== debian/control ===
Source: dosbox-x
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
Section: otherosfs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libflac-dev,
 libfluidsynth-dev,
 libfreetype-dev,
 libgl-dev,
 libgmock-dev,
 libgtest-dev,
 libminizip-dev,
 libopusfile-dev,
 libpcap0.8-dev,
 libphysfs-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-net-dev,
 libslirp-dev,
 libspeexdsp-dev,
 libswscale-dev,
 libx11-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxxhash-dev,
 pycrc,
 zlib1g-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/dosbox-x
Vcs-Git: https://salsa.debian.org/debian/dosbox-x.git
Homepage: https://dosbox-x.com
Rules-Requires-Root: no

Package: dosbox-x
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, dosbox-x-data (= ${source:Version})
Description: DOS emulator with complete, accurate hardware emulation
 DOSBox-X is a comprehensive DOS emulator, supporting DOS applications
 including Windows 3.x and Windows 9x, and striving to provide accurate
 hardware emulation. It is based on the original DOSBox and includes
 features from a number of forks including SVN Daum, ECE, DOSBox
 Staging, DOSVAX, and vDosPlus.
 .
 Its features include:
  - a built-in drop-down menu
  - a graphical configuration tool
  - support for save-states
  - NEC PC-98, AX, and J-3100 emulations
  - DOS/V support for Chinese, Japanese, and Korean language support
  - support for CONFIG.SYS commands
  - printing support
  - long filename support
  - DOS SHARE emulation
  - wheel mouse support (including the CuteMouse wheel mouse API)
  - 3Dfx Voodoo chip emulation
  - NE2000 emulation
  - MT-32 emulation
 .
 DOSBox-X isn't a direct upgrade from DOSBox, but DOSBox users should
 be able to use DOSBox-X without difficulty.

Package: dosbox-x-data
Architecture: all
Depends: ${misc:Depends}
Description: DOS emulator with accurate hardware emulation - data
 DOSBox-X is a comprehensive DOS emulator, supporting DOS applications
 including Windows 3.x and Windows 9x, and striving to provide accurate
 hardware emulation. It is based on the original DOSBox and includes
 features from a number of forks including SVN Daum, ECE, DOSBox
 Staging, DOSVAX, and vDosPlus.
 .
 This package contains the DOSBox-X shared data.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -Bbuildtree-release
	dh_auto_clean -Bbuildtree-debug

override_dh_auto_configure:
	dh_auto_configure -Bbuildtree-release -- --enable-sdl2 --disable-avcodec
	dh_auto_configure -Bbuildtree-debug -- --enable-sdl2 --disable-avcodec --enable-debug=heavy

override_dh_auto_build:
# Re-create the CRC files
	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate h -o include/zipcrc.h
	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate c -o src/gui/zipcrc.c
	dh_auto_build -Bbuildtree-release
	dh_auto_build -Bbuildtree-debug

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	buildtree-debug/src/dosbox-x --test
endif

# The debugger might be non-redistributable (because debug_disasm.c is
# GPL-2.0-only, and parts of DOSBox-X are GPL-3.0); it is built for
# the test suite, but it isn't included in the binary packages.
override_dh_auto_install:
	dh_auto_install -Bbuildtree-release

## dosbox-x 2024.07.01+dfsg

=== debian/changelog ===
dosbox-x (2024.07.01+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright for the new release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Jul 2024 12:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dosbox-x
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
 Build-Depends:
@@ -31,7 +30,7 @@
  libxxhash-dev,
  pycrc,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/dosbox-x
 Vcs-Git: https://salsa.debian.org/debian/dosbox-x.git
 Homepage: https://dosbox-x.com

## dosbox-x 2024.10.01+dfsg

=== debian/changelog ===
dosbox-x (2024.10.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Oct 2024 17:56:26 +0200

## dosbox-x 2024.12.04+dfsg

=== debian/changelog ===
dosbox-x (2024.12.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 31 Dec 2024 18:48:02 +0100

## dosbox-x 2025.01.01+dfsg

=== debian/changelog ===
dosbox-x (2025.01.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Jan 2025 18:29:40 +0100

## dosbox-x 2025.02.01+dfsg

=== debian/changelog ===
dosbox-x (2025.02.01+dfsg-3) unstable; urgency=medium

  * Update esfmu from upstream to actually allow disabling assembly
    optimisations. Closes: #1103368.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 May 2025 11:57:51 +0200

dosbox-x (2025.02.01+dfsg-2) unstable; urgency=medium

  * Disable esfmu assembly optimisations on armhf, they no longer build
    there. Closes: #1103368.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 May 2025 10:46:37 +0200

dosbox-x (2025.02.01+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update file exclusions to exclude all PC-98 executables.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Feb 2025 21:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libflac-dev,
  libfluidsynth-dev,
  libfreetype-dev,
  libgl-dev,
@@ -28,6 +27,7 @@
  libxkbfile-dev,
  libxrandr-dev,
  libxxhash-dev,
+ libzstd-dev,
  pycrc,
  zlib1g-dev,
 Standards-Version: 4.7.0

## dosbox-x 2025.05.03+dfsg

=== debian/changelog ===
dosbox-x (2025.05.03+dfsg-4) unstable; urgency=medium

  * Switch back to the default branch in debian/control.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Aug 2025 09:48:04 +0200

dosbox-x (2025.05.03+dfsg-3) unstable; urgency=medium

  * Stop setting C++ levels entirely, relying on the compiler’s default.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Aug 2025 09:37:27 +0200

dosbox-x (2025.05.03+dfsg-2) unstable; urgency=medium

  * Switch to C++17 for gtest.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Aug 2025 17:08:56 +0200

dosbox-x (2025.05.03+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Aug 2025 10:05:35 +0200

dosbox-x (2025.05.03+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release, merging esfmu-update.patch.
  * Standards-Version 4.7.2, no change required.
  * dosbox-x-data can be used for any architecture, mark it “Multi-Arch:
    foreign”.
  * Update the AppStream metadata.

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Jun 2025 16:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libzstd-dev,
  pycrc,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/dosbox-x
 Vcs-Git: https://salsa.debian.org/debian/dosbox-x.git
 Homepage: https://dosbox-x.com
@@ -66,6 +66,7 @@
 
 Package: dosbox-x-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: DOS emulator with accurate hardware emulation - data
  DOSBox-X is a comprehensive DOS emulator, supporting DOS applications

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# esfmu assembly no longer builds on armhf
+ifeq ($(DEB_HOST_ARCH),armhf)
+export DEB_CPPFLAGS_MAINT_APPEND := -D_ESFMU_DISABLE_ASM_OPTIMIZATIONS
+endif
 
 %:
 	dh $@
@@ -17,7 +22,7 @@
 # Re-create the CRC files
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate h -o include/zipcrc.h
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate c -o src/gui/zipcrc.c
-	dh_auto_build -Bbuildtree-release
+	dh_auto_build -Bbuildtree-release 
 	dh_auto_build -Bbuildtree-debug
 
 override_dh_auto_test:

## dosbox-x 2025.10.07+dfsg

=== chk/Makefile ===
all: chk

CFLAGS=-g -O2 -std=gnu++11
CXXFLAGS=-g -O2 -std=gnu++11

chk.o: chk.cpp
	g++ $(CXXFLAGS) -c -o $@ $<

chk: chk.o
	g++ -o $@ $<

clean:
	rm -fv chk chk.o

=== experiments/iconv/Makefile ===
all: ic1 ic2 ic3 ic4 ic5 icw1

ic1: ic1.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

ic2: ic2.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

ic3: ic3.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

ic4: ic4.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

ic5: ic5.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

icw1: icw1.cpp iconvpp.o
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< iconvpp.o

iconvpp.o: iconvpp.cpp
	g++  -Wall -Wextra -pedantic -std=c++11 -c -o $@ $<

clean:
	rm -f ic1 ic2 ic3 ic4 ic5 icw1 *.o

=== experiments/lua/Makefile ===
all: lua1

lua1: lua1.cpp
	g++ -Wall -Wextra -pedantic -std=c++11 -o $@ $< -llua -ldl

clean:
	rm -f lua1

=== src/cpu/core_dynrec/Makefile ===
# Makefile.in generated by automake 1.13.1 from Makefile.am.
# src/cpu/core_dynrec/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/dosbox
pkgincludedir = $(includedir)/dosbox
pkglibdir = $(libdir)/dosbox
pkglibexecdir = $(libexecdir)/dosbox
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/cpu/core_dynrec
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(noinst_HEADERS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/src/dosbox-x/missing aclocal-1.13
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound -lm -ldl -lpthread
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /usr/src/dosbox-x/missing autoconf
AUTOHEADER = ${SHELL} /usr/src/dosbox-x/missing autoheader
AUTOMAKE = ${SHELL} /usr/src/dosbox-x/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -std=gnu++11 -mmmx -msse -msse2 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lasound -lm -ldl -lpthread -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lncurses -lpng -lz -lpcap -lslirp -lSDL_net -lX11 -lfluidsynth
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/src/dosbox-x/missing makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = dosbox
PACKAGE_BUGREPORT = 
PACKAGE_NAME = dosbox
PACKAGE_STRING = dosbox SVN-Daum
PACKAGE_TARNAME = dosbox
PACKAGE_URL = 
PACKAGE_VERSION = SVN-Daum
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = SVN-Daum
WINDRES = :
abs_builddir = /usr/src/dosbox-x/src/cpu/core_dynrec
abs_srcdir = /usr/src/dosbox-x/src/cpu/core_dynrec
abs_top_builddir = /usr/src/dosbox-x
abs_top_srcdir = /usr/src/dosbox-x
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/src/dosbox-x/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
noinst_HEADERS = cache.h decoder.h decoder_basic.h decoder_opcodes.h \
                 dyn_fpu.h operators.h risc_x64.h risc_x86.h risc_mipsel32.h \
                 risc_armv4le.h risc_armv4le-common.h \
                 risc_armv4le-o3.h risc_armv4le-thumb.h \
                 risc_armv4le-thumb-iw.h risc_armv4le-thumb-niw.h

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/cpu/core_dynrec/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/cpu/core_dynrec/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

=== debian/changelog ===
dosbox-x (2025.10.07+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Remove the old FSF address from debian/copyright.
  * Apply upstream AppStream metadata updates instead of our
    appstream.patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Oct 2025 13:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/dosbox-x
 Vcs-Git: https://salsa.debian.org/debian/dosbox-x.git
 Homepage: https://dosbox-x.com
-Rules-Requires-Root: no
 
 Package: dosbox-x
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Re-create the CRC files
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate h -o include/zipcrc.h
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate c -o src/gui/zipcrc.c
-	dh_auto_build -Bbuildtree-release 
+	dh_auto_build -Bbuildtree-release
 	dh_auto_build -Bbuildtree-debug
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
  https://github.com/joncampbell123/dosbox-x/tags \
  (?:.*?/)?@PACKAGE@-v?(\d[\d.]*)\.tar\.gz debian uupdate

## dosbox-x 2025.12.01+dfsg

=== debian/changelog ===
dosbox-x (2025.12.01+dfsg-1) unstable; urgency=medium

  * New upstream release, merging metainfo-updates.patch.

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Dec 2025 18:07:38 +0100

## dosbox-x 2026.01.02+dfsg

=== debian/changelog ===
dosbox-x (2026.01.02+dfsg-2) unstable; urgency=medium

  * Fix debian/watch to match release tags only.
  * Enable avcodec support.
  * Skip the debug build entirely for nocheck builds.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Feb 2026 17:45:25 +0100

dosbox-x (2026.01.02+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Jan 2026 19:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: dosbox-x
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
@@ -30,7 +29,7 @@
  libzstd-dev,
  pycrc,
  zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/dosbox-x
 Vcs-Git: https://salsa.debian.org/debian/dosbox-x.git
 Homepage: https://dosbox-x.com

=== debian/rules ===
--- 
+++ 
@@ -15,22 +15,26 @@
 	dh_auto_clean -Bbuildtree-debug
 
 override_dh_auto_configure:
-	dh_auto_configure -Bbuildtree-release -- --enable-sdl2 --disable-avcodec
-	dh_auto_configure -Bbuildtree-debug -- --enable-sdl2 --disable-avcodec --enable-debug=heavy
+	dh_auto_configure -Bbuildtree-release -- --enable-sdl2
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_configure -Bbuildtree-debug -- --enable-sdl2 --enable-debug=heavy
+endif
 
 override_dh_auto_build:
 # Re-create the CRC files
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate h -o include/zipcrc.h
 	pycrc --model crc-32 --symbol-prefix zipcrc_ --algorithm table-driven --generate c -o src/gui/zipcrc.c
 	dh_auto_build -Bbuildtree-release
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_build -Bbuildtree-debug
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	buildtree-debug/src/dosbox-x --test
 endif
 
-# The debugger might be non-redistributable (because debug_disasm.c is
+# The debugger might be non-redistributable (because debug_disasm.cpp is
 # GPL-2.0-only, and parts of DOSBox-X are GPL-3.0); it is built for
 # the test suite, but it isn't included in the binary packages.
 override_dh_auto_install:

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/joncampbell123/@PACKAGE@/git/matching-refs/tags/@PACKAGE@-v
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@PACKAGE@-@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
Compression: xz
Dversionmangle: s/\+dfsg//
Repack: yes
Repacksuffix: +dfsg
